unit UniRegg1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Templ, Menus, ComObj, OleCtrls, SHDocVw, Buttons;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormPaint(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SpeedButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  c:TBitmap;// 

implementation

{$R *.DFM}

function reslash(s:String):String;//  DOS-  UNIX-
var
    i:integer;
begin
 result:=s;
 while pos('\',result)<>0do
   begin
    i:=pos('\',result);
    delete(result,i,1);
    insert('/',result,i);
   end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var i,x,y:Integer;
const mm=80;
begin
 c:=TBitmap.create;
 c.width:=width;   //    
 c.height:=height;  //    
  with c.canvas do
  begin
 Brush.color:=color;
 Brush.Style:=bsSolid;
 FillRect(clientrect);
  for i:=0to mm do
   begin
    x:=round(width*i/mm);
    y:=round(height*i/mm);
    pen.Color:=trunc(64*i/mm)+
          trunc(64+31*sin(i/5))shl 8+
          trunc(64+31*cos(i/6))shl 16;
    moveTo(x,0);
    lineTo(x+round(15*sin(i/5)),height);
    moveTo(0,y);
    lineTo(width,y+round(15*sin(i/5)));
   end;
  end;
SetWindowRgn( Handle, //  
    CreateRoundRectRgn(0,0,clientWidth-1,clientHeight-1,30,30), true );
  try //   
   WebBrowser1.Navigate('file:///'+
    reslash(ExtractFilePath(Application.ExeName)+'Data/tlist.htm'));
   except
    ShowMessage('  '#13'   tlist.htm !');
   end;
end;

procedure TForm1.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin  {   WinAPI32}
  ReleaseCapture; {   FAQ  Delphi}
  perform(WM_SysCommand, $F012, 0);
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
 if c<>nil then {   }
  canvas.Draw(0,0,c);
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  application.Minimize;{ }
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  try
   WebBrowser1.GoBack;{}
  except
  end;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  try
   WebBrowser1.GoForward;{}
  except
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   if c=nil then exit;
   c.free;{  }
   c:=nil;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
   Close;
end;

end.
